libwpg: WPG2Parser Class Reference documentation

# WPG2Parser Class Reference

`#include <WPG2Parser.h>`

Inheritance diagram for WPG2Parser:

List of all members.

## Public Member Functions
| WPG2Parser (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
bool | parse ()
## Private Member Functions
void | handleStartWPG ()
void | handleEndWPG ()
void | handleLayer ()
void | handleCompoundPolygon ()
void | handlePenStyleDefinition ()
void | handlePatternDefinition ()
void | handleColorPalette ()
void | handleDPColorPalette ()
void | handlePenForeColor ()
void | handleDPPenForeColor ()
void | handlePenBackColor ()
void | handleDPPenBackColor ()
void | handlePenStyle ()
void | handlePenSize ()
void | handleDPPenSize ()
void | handleBrushGradient ()
void | handleDPBrushGradient ()
void | handleBrushForeColor ()
void | handleDPBrushForeColor ()
void | handleBrushBackColor ()
void | handleDPBrushBackColor ()
void | handleBrushPattern ()
void | handlePolyline ()
void | handlePolyspline ()
void | handlePolycurve ()
void | handleRectangle ()
void | handleArc ()
void | handleBitmap ()
void | handleBitmapData ()
void | handleObjectCapsule ()
void | handleObjectImage ()
void | resetPalette ()
void | flushCompoundPolygon ()
void | parseCharacterization (ObjectCharacterization *)
## Private Attributes
int | m_recordLength
long | m_recordEnd
bool | m_success
bool | m_exit
bool | m_graphicsStarted
unsigned int | m_xres
unsigned int | m_yres
long | m_xofs
long | m_yofs
long | m_width
long | m_height
bool | m_doublePrecision
libwpg::WPGPen | m_pen
libwpg::WPGBrush | m_brush
std::map< unsigned int, libwpg::WPGDashArray > | m_penStyles
bool | m_layerOpened
unsigned int | m_layerId
WPG2TransformMatrix | m_matrix
double | m_gradientAngle
libwpg::WPGPoint | m_gradientRef
std::stack< WPGGroupContext > | m_groupStack
WPG2TransformMatrix | m_compoundMatrix
bool | m_compoundWindingRule
bool | m_compoundFilled
bool | m_compoundFramed
bool | m_compoundClosed
WPGBitmapContext | m_bitmap
WPGBinaryDataContext | m_binaryData
bool | m_hFlipped
bool | m_vFlipped
unsigned | m_binaryId
## Classes
class | ObjectCharacterization

## Constructor & Destructor Documentation

WPG2Parser::WPG2Parser | ( | WPXInputStream * | input,
|  | libwpg::WPGPaintInterface * | painter |
| ) |  |  |

## Member Function Documentation

bool WPG2Parser::parse | ( |  | ) | `[virtual]`

Implements WPGXParser.

void WPG2Parser::handleStartWPG | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleEndWPG | ( |  | ) | `[private]`

Referenced by handleStartWPG(), and parse().

void WPG2Parser::handleLayer | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleCompoundPolygon | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePenStyleDefinition | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePatternDefinition | ( |  | ) | `[private]`

void WPG2Parser::handleColorPalette | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleDPColorPalette | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePenForeColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleDPPenForeColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePenBackColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleDPPenBackColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePenStyle | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePenSize | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleDPPenSize | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleBrushGradient | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleDPBrushGradient | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleBrushForeColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleDPBrushForeColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleBrushBackColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleDPBrushBackColor | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleBrushPattern | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePolyline | ( |  | ) | `[private]`

Referenced by handlePolyspline(), and parse().

void WPG2Parser::handlePolyspline | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handlePolycurve | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleRectangle | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleArc | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleBitmap | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleBitmapData | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleObjectCapsule | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::handleObjectImage | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::resetPalette | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::flushCompoundPolygon | ( |  | ) | `[private]`

Referenced by parse().

void WPG2Parser::parseCharacterization | ( | ObjectCharacterization * | ch | ) | `[private]`

Referenced by handleArc(), handleBitmap(), handleCompoundPolygon(), handleObjectCapsule(), handlePolycurve(), handlePolyline(), and handleRectangle().

## Member Data Documentation

int WPG2Parser::m_recordLength`[private]`

Referenced by parse().

long WPG2Parser::m_recordEnd`[private]`

Referenced by handleBitmapData(), handleObjectCapsule(), handleObjectImage(), and parse().

bool WPG2Parser::m_success`[private]`

Referenced by handleStartWPG(), and parse().

bool WPG2Parser::m_exit`[private]`

Referenced by handleEndWPG(), handleStartWPG(), and parse().

bool WPG2Parser::m_graphicsStarted`[private]`

Referenced by flushCompoundPolygon(), handleArc(), handleBitmap(), handleBitmapData(), handleBrushBackColor(), handleBrushForeColor(), handleBrushGradient(), handleBrushPattern(), handleColorPalette(), handleCompoundPolygon(), handleDPBrushBackColor(), handleDPBrushForeColor(), handleDPBrushGradient(), handleDPColorPalette(), handleDPPenBackColor(), handleDPPenForeColor(), handleDPPenSize(), handleEndWPG(), handleLayer(), handleObjectCapsule(), handleObjectImage(), handlePatternDefinition(), handlePenBackColor(), handlePenForeColor(), handlePenSize(), handlePenStyle(), handlePenStyleDefinition(), handlePolycurve(), handlePolyline(), handlePolyspline(), handleRectangle(), handleStartWPG(), and parse().

unsigned int WPG2Parser::m_xres`[private]`

Referenced by handleArc(), handleBitmap(), handleDPPenSize(), handleObjectCapsule(), handlePenSize(), handlePolycurve(), handlePolyline(), handleRectangle(), handleStartWPG(), and parse().

unsigned int WPG2Parser::m_yres`[private]`

Referenced by handleBitmap(), handleDPPenSize(), handleObjectCapsule(), handlePenSize(), handlePolycurve(), handlePolyline(), handleRectangle(), handleStartWPG(), and parse().

long WPG2Parser::m_xofs`[private]`

Referenced by handleStartWPG().

long WPG2Parser::m_yofs`[private]`

Referenced by handleStartWPG().

long WPG2Parser::m_width`[private]`

Referenced by handleStartWPG().

long WPG2Parser::m_height`[private]`

Referenced by handleStartWPG().

bool WPG2Parser::m_doublePrecision`[private]`

Referenced by handleArc(), handleBitmap(), handleDPBrushBackColor(), handleDPBrushForeColor(), handleDPPenBackColor(), handleDPPenForeColor(), handleObjectCapsule(), handlePenStyleDefinition(), handlePolycurve(), handlePolyline(), handleRectangle(), handleStartWPG(), and parse().

libwpg::WPGPen WPG2Parser::m_pen`[private]`

Referenced by flushCompoundPolygon(), handleArc(), handleDPPenBackColor(), handleDPPenForeColor(), handleDPPenSize(), handlePenBackColor(), handlePenForeColor(), handlePenSize(), handlePenStyle(), handlePolycurve(), handlePolyline(), handleRectangle(), and parse().

libwpg::WPGBrush WPG2Parser::m_brush`[private]`

Referenced by flushCompoundPolygon(), handleArc(), handleBrushBackColor(), handleBrushForeColor(), handleDPBrushBackColor(), handleDPBrushForeColor(), handlePolycurve(), handlePolyline(), handleRectangle(), and parse().

std::map<unsigned int,libwpg::WPGDashArray> WPG2Parser::m_penStyles`[private]`

Referenced by handlePenStyle(), handlePenStyleDefinition(), and handleStartWPG().

bool WPG2Parser::m_layerOpened`[private]`

Referenced by handleEndWPG(), handleLayer(), and parse().

unsigned int WPG2Parser::m_layerId`[private]`

Referenced by handleEndWPG(), and handleLayer().

WPG2TransformMatrix WPG2Parser::m_matrix`[private]`

Referenced by handleArc(), handleBitmap(), handleObjectCapsule(), handlePolycurve(), handlePolyline(), handleRectangle(), and parse().

double WPG2Parser::m_gradientAngle`[private]`

Referenced by handleBrushForeColor(), handleBrushGradient(), handleDPBrushForeColor(), and handleDPBrushGradient().

libwpg::WPGPoint WPG2Parser::m_gradientRef`[private]`

Referenced by handleBrushForeColor(), handleBrushGradient(), handleDPBrushForeColor(), and handleDPBrushGradient().

std::stack<WPGGroupContext> WPG2Parser::m_groupStack`[private]`

Referenced by flushCompoundPolygon(), handleBrushBackColor(), handleBrushForeColor(), handleBrushGradient(), handleBrushPattern(), handleDPBrushBackColor(), handleDPBrushForeColor(), handleDPBrushGradient(), handleDPPenBackColor(), handleDPPenForeColor(), handleDPPenSize(), handlePenBackColor(), handlePenForeColor(), handlePenSize(), handlePenStyle(), handlePolycurve(), handlePolyline(), and parse().

WPG2TransformMatrix WPG2Parser::m_compoundMatrix`[private]`

Referenced by handleCompoundPolygon(), and parse().

bool WPG2Parser::m_compoundWindingRule`[private]`

Referenced by handleCompoundPolygon(), and parse().

bool WPG2Parser::m_compoundFilled`[private]`

Referenced by handleCompoundPolygon(), and parse().

bool WPG2Parser::m_compoundFramed`[private]`

Referenced by handleCompoundPolygon(), and parse().

bool WPG2Parser::m_compoundClosed`[private]`

Referenced by handleCompoundPolygon(), and parse().

WPGBitmapContext WPG2Parser::m_bitmap`[private]`

Referenced by handleBitmap(), and handleBitmapData().

WPGBinaryDataContext WPG2Parser::m_binaryData`[private]`

Referenced by handleObjectCapsule(), and handleObjectImage().

bool WPG2Parser::m_hFlipped`[private]`

Referenced by handleBitmap(), and handleBitmapData().

bool WPG2Parser::m_vFlipped`[private]`

Referenced by handleBitmap(), and handleBitmapData().

unsigned WPG2Parser::m_binaryId`[private]`

Referenced by handleObjectImage().

The documentation for this class was generated from the following files:

- WPG2Parser.h
- WPG2Parser.cpp